import { NgModule, ModuleWithProviders } from '@angular/core';

import { ModuleConfig } from '@ucap/protocol-inner';

import { _MODULE_CONFIG } from './config/token';

import { InnerProtocolService } from './services/inner-protocol.service';

const SERVICES = [InnerProtocolService];

@NgModule({})
export class InnerProtocolRootModule {}

@NgModule({})
export class InnerProtocolModule {
  public static forRoot(
    config: ModuleConfig
  ): ModuleWithProviders<InnerProtocolRootModule> {
    return {
      ngModule: InnerProtocolRootModule,
      providers: [{ provide: _MODULE_CONFIG, useValue: config }, ...SERVICES]
    };
  }
}
