import { NgModule, ModuleWithProviders } from '@angular/core';

import { ModuleConfig } from '@ucap/protocol-umg';

import { _MODULE_CONFIG } from './config/token';

import { UmgProtocolService } from './services/umg-protocol.service';

const SERVICES = [UmgProtocolService];

@NgModule({})
export class UmgProtocolRootModule {}

@NgModule({})
export class UmgProtocolModule {
  public static forRoot(
    config: ModuleConfig
  ): ModuleWithProviders<UmgProtocolRootModule> {
    return {
      ngModule: UmgProtocolRootModule,
      providers: [{ provide: _MODULE_CONFIG, useValue: config }, ...SERVICES]
    };
  }
}
