import { createAction, props } from '@ngrx/store';

import { CompanyListRequest, CompanyListResponse } from '@ucap/api-external';

/**
 * retrieve company list
 */
export const companies = createAction(
  '[ucap::organization::company] companies',
  props<{ req: CompanyListRequest }>()
);
/**
 * Success of companies request
 */
export const companiesSuccess = createAction(
  '[ucap::organization::company] companies Success',
  props<{ res: CompanyListResponse }>()
);
/**
 * Failure of companies request
 */
export const companiesFailure = createAction(
  '[ucap::organization::company] companies Failure',
  props<{ error: any }>()
);
