import { Pipe, PipeTransform } from '@angular/core';

@Pipe({ name: 'ucapEmpty' })
export class EmptyPipe implements PipeTransform {
  public transform(value: any, placeholder: any): any {
    switch (typeof value) {
      case 'string':
        return 0 < value.trim().length ? value.trim() : placeholder;
      default:
        if (Array.isArray(value)) {
          return 0 < value.length ? value : placeholder;
        }
        return placeholder;
    }
  }
}
